Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154866 - clicking again on "add a new fence level" causes a BT
Summary: clicking again on "add a new fence level" causes a BT
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: redhat-config-cluster
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Parsons
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 16:25 UTC by Corey Marthaler
Modified: 2009-04-16 20:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-28 22:41:07 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2005-04-14 16:25:19 UTC
Description of problem:
This is related to 154863

If I have a Fence-Level-1 show up and I click "Add..." again, it will cause a
backtrace:

Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTabController.py", line 603, in
on_create_level
    obj = model.get_value(iter, FENCE_OBJ_COL) #node
TypeError: iter must be a GtkTreeIter



Version-Release number of selected component (if applicable):
[root@tank-03 ~]# rpm -qa | grep system-config-cluster
system-config-cluster-0.9.30-1.0

Comment 1 Corey Marthaler 2005-04-15 19:05:27 UTC
this back trace can also occur when clicking on "add a new fence...":

Traceback (most recent call last):
  File "/usr/share/system-config-cluster/ConfigTabController.py", line 566, in
on_fi_ok
    type = model.get_value(iter,FENCE_TYPE_COL)
TypeError: iter must be a GtkTreeIter


Comment 2 Jim Parsons 2005-04-26 12:48:21 UTC
Both cases are now handled in 0.9.36-1.0
Levels can be added now without a tree selection
If create fence button is clicked with no level selected, the user is first
prompted to select a level.

Comment 3 Corey Marthaler 2005-04-28 22:41:07 UTC
The backtrace is now gone so I'll close this bug, however, something still needs
to be done to make fence mgmt more intuitive and this is addressed in 156109. 
Now if I continue to click the "Add a New Fence Level" I just see more
meaningless "levels" show up and as a user I don't know what to do with them.


Note You need to log in before you can comment on or make changes to this bug.